<script>
	export default {
		methods: {
			copmareVersion(version) {
				let versionArr = version.split('.')
				if(versionArr[0] < 8) {
					return false
				}
				if(versionArr[2] < 16) {
					return false
				}
				return true
			}
		},
		onLaunch: function() {
			let res = uni.getSystemInfoSync()
			console.log('手机信息',res);
			if(!this.copmareVersion(res.version)) {
				uni.showToast({
					title: '请更新到最新的微信版本，否则可能导致无法登录！',
					icon: 'none',
					duration: 5000
				})
			}
			uni.hideShareMenu()
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	/*每个页面公共css */
	@import url("static/css/reset.css");
</style>
